<template>
  <div class="if-links" v-animate-css="'fadeIn'">
    <ul>
      <li
        v-for="(link, index) in links"
        :key="index">
        <a :href="link.link" target="_blank">{{ link.description }}</a>
      </li>
    </ul>
  </div>
</template>

<script>
import Vue from 'vue'
import axios from 'axios'

export default {
  name: 'IFLinks',
  props: {
    msg: String
  },
  data: function ()  {
    return {
      isFullPage: false,
      isLoading: false,
      links: Array
    }
  },
  created () {
    this.getLinks()
  },
  methods: {
    getLinks () {
      this.isLoading = true
      var url = Vue.config.urlBase + '/api/links/'
      axios.get(url)
      .then(response => {
        this.links = response.data
      })
      .finally(() => {
        this.isLoading = false
      })
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
